package uiportal.ejb.session;


public class PortalBean implements Portal {

  private SessionContext sessionContext;
  private DataSource ds;

  
  public void ejbCreate() throws CreateException {
  
      this.ejbCreate("DEFAULT", new java.util.Date().getTime()+"");

  }

  
  public void setSessionContext(SessionContext sessionContext) {
    this.sessionContext = sessionContext;
  }

  public void ejbCreate(String uipaccount, String uipsessionid) throws CreateException {


  InitialContext ic=null;
  try
  {

    ds=null;
    ic=new InitialContext();
    ds = (DataSource) ic.lookup("java:comp/env/jdbc/uiportal");

  }
  catch(Exception s)
  {
    throw new CreateException(s.toString());
  }
  finally{
    try{ic.close();}catch(Exception s){}
  }

}

  @PreDestroy
  public void ejbPreDestroy(){
      System.out.println(" ----- ejbPreDestroy() ------- ");
  }
  
  
    @Remove
    public void ejbRemove() {
        //    System.out.println("ejb removed...cleaning now...");

        sessionContext = null;
        ds = null;

        System.out.println(" ----- ejbRemove() ------- ");

    }
    
public void ejbActivate() {
}
public void ejbPassivate() {
  
}

}
